## com.puppycrawl.tools.checkstyle.checks.whitespace
Class EmptyForIteratorPadCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck<PadOption>
                      com.puppycrawl.tools.checkstyle.checks.whitespace.EmptyForIteratorPadCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class EmptyForIteratorPadCheck

extends AbstractOptionCheck<PadOption>

Checks the padding of an empty for iterator; that is whether a space is required at an empty for iterator, or such spaces are forbidden. No check occurs if there is a line wrap at the iterator, as in

    for (Iterator foo = very.long.line.iterator();
          foo.hasNext();
         )

The policy to verify is specified using the `PadOption` class and defaults to `PadOption.NOSPACE`.

An example of how to configure the check is:

     <module name="EmptyForIteratorPad"/>

Version:
  1.0
Author:
  Rick Giles

Constructor Summary
`EmptyForIteratorPadCheck()` Sets the paren pad otion to nospace.

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
`getAbstractOption, setOption`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyForIteratorPadCheck

    public EmptyForIteratorPadCheck()

  Sets the paren pad otion to nospace.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Copyright © 2001-2011. All Rights Reserved.